Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_POSIX_Asynch_Write_Stream Class Reference

This class implements <ace_asynch_write_stream> for all POSIX implementations of ACE_Proactor. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Write_Stream:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Write_Stream:

[legend]
List of all members.

## Public Member Functions
| ACE_POSIX_Asynch_Write_Stream (ACE_POSIX_Proactor *posix_proactor)
| Constructor.
int | write (ACE_Message_Block &message_block, size_t bytes_to_write, const void *act, int priority, int signal_number=0)
virtual | ~ACE_POSIX_Asynch_Write_Stream (void)
| Destructor.

## Detailed Description

This class implements <ace_asynch_write_stream> for all POSIX implementations of ACE_Proactor.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Write_Stream::ACE_POSIX_Asynch_Write_Stream | ( | ACE_POSIX_Proactor * | posix_proactor | ) |

| Constructor.

ACE_POSIX_Asynch_Write_Stream::~ACE_POSIX_Asynch_Write_Stream | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Write_Stream::write | ( | ACE_Message_Block & | message_block,
|  | size_t | bytes_to_write,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = `0`
| ) | `[virtual]`

| This starts off an asynchronous write. Upto <bytes_to_write> will be written from the <message_block>. Implements ACE_Asynch_Write_Stream_Impl. Reimplemented in ACE_POSIX_Asynch_Write_File.

The documentation for this class was generated from the following files:

- POSIX_Asynch_IO.h
- POSIX_Asynch_IO.cpp